plotvglm {VGAM} | R Documentation

## Plots for VGLMs

### Description

Currently not working, this function can be used to feed the object to the VGAM plotting function. In the future some diagnostic plots will be plotted.

### Usage

    plotvglm(x, type = c("vglm", "vgam"),
             newdata = NULL, y = NULL, residuals = NULL,
             rugplot = TRUE, se = FALSE, scale = 0, raw = TRUE,
             offset.arg = 0, deriv.arg = 0, overlay = FALSE,
             type.residuals = c("deviance", "working", "pearson", "response"),
             plot.arg = TRUE, which.term = NULL, which.cf = NULL,
             control = plotvgam.control(...), varxij = 1, ...)

### Arguments

`x` | Same as `plotvgam`.
`type` | Default is the first choice. Currently the first choice gives an error (not written yet). If `"vgam"` then all the arguments are fed into `plotvgam`.
`newdata, y, residuals, rugplot` | Same as `plotvgam`.
`se, scale, raw, offset.arg` | Same as `plotvgam`.
`deriv.arg, overlay, type.residuals` | Same as `plotvgam`.
`plot.arg, which.term, which.cf, control` | Same as `plotvgam`.
`..., varxij` | Same as `plotvgam`.

### Details

Currently this function has not been written. When this is done some diagnostic plots based on residuals and hatvalues will be done. In the meanwhile, this function can be used to call the plotting function for `vgam` objects.

### Value

Same as `plotvgam`.

### See Also

`plotvgam`, `plotvgam.control`, `vglm`.

### Examples

    coalminers <- transform(coalminers, Age = (age - 42) / 5)
    fit <- vglm(cbind(nBnW, nBW, BnW, BW) ~ sm.bs(Age),
                binom2.or(zero = NULL), data = coalminers)
    ## Not run:  par(mfrow = c(1, 3))
    plot(fit, type = "vgam", se = TRUE, ylim = c(-3, 2), las = 1)
    plot(fit, type = "vgam", se = TRUE, which.cf = 1:2,
         lcol = "blue", scol = "orange", ylim = c(-3, 2))
    plot(fit, type = "vgam", se = TRUE, which.cf = 1:2,
         lcol = "blue", scol = "orange", overlay = TRUE)
    ## End(Not run)

[Package VGAM version 1.0-1 Index]